Bug 7998 - fails to build on Hurd because of undefined IOV_MAX or UIO_MAXIOV
fails to build on Hurd because of undefined IOV_MAX or UIO_MAXIOV
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.8
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 19:56 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2011-06-03 18:36 UTC (History)
0 users

See Also:


Attachments
Patch to fix FTBFS on Hurd (508 bytes, patch)
2011-03-09 19:56 UTC, Debian samba package maintainers (PUBLIC MAILING LIST)
abartlet: review-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2011-03-09 19:56:55 UTC
Created attachment 6282 [details]
Patch to fix FTBFS on Hurd

From Debian BTS (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=610678)

samba currently FTBFS because it's not happy with not having IOV_MAX or
UIO_MAXIOV defined. These are indeed not defined on GNU/Hurd because
there is no such limitation. And actually the samba code does not
require it. Thus, please apply at least the attached patch.
Comment 1 Björn Jacke 2011-05-29 23:19:15 UTC
thanks, fixed in master with a4d03620cb5.

Karolin, can you please pick that up for 3.6 ?
Comment 2 Karolin Seeger 2011-05-30 18:05:39 UTC
Re-assigning to Andrew for patch review.
Comment 3 Andrew Bartlett 2011-06-01 02:47:37 UTC
Comment on attachment 6282 [details]
Patch to fix FTBFS on Hurd

Per discussion the list, we should just remove this, rather than warn, as otherwise Hurd users will get a warning per c file.
Comment 4 Björn Jacke 2011-06-03 08:44:09 UTC
in other words, Karo: please also pick 65f0800a342

Thanks
Björn
Comment 5 Karolin Seeger 2011-06-03 18:36:56 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!